> ## Documentation Index
> Fetch the complete documentation index at: https://docs.costory.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk update dashboard metadata



## OpenAPI

````yaml https://app-api.costory.io/docs/openapi.json patch /dashboard-v2/bulk/metadata
openapi: 3.0.0
info:
  title: Costory
  version: '1.0'
  description: API Documentation
servers:
  - url: ''
    description: Production server
security: []
paths:
  /dashboard-v2/bulk/metadata:
    patch:
      tags:
        - Dashboards
      summary: Bulk update dashboard metadata
      operationId: bulkUpdateDashboardMetadata
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                updates:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                      metadata:
                        type: object
                        properties:
                          name:
                            type: string
                          description:
                            type: string
                          type:
                            type: string
                            enum:
                              - PRIVATE
                              - PUBLIC
                              - TEMPLATE
                          createdById:
                            type: string
                          teamId:
                            type: string
                            nullable: true
                          scopeId:
                            type: string
                            nullable: true
                          tagIds:
                            type: array
                            items:
                              type: string
                          metricId:
                            type: string
                            nullable: true
                          groupBy:
                            type: string
                            nullable: true
                          datePreset:
                            type: string
                            nullable: true
                            enum:
                              - TRAILING_90_DAYS
                              - TRAILING_30_DAYS
                              - TRAILING_45_DAYS
                              - TRAILING_7_DAYS
                              - TRAILING_3_DAYS
                              - TRAILING_1_DAYS
                              - TRAILING_14_WEEKS
                              - MTD
                              - QTD
                              - YTD
                              - CURRENT_MONTH
                              - CURRENT_QUARTER
                              - CURRENT_YEAR
                              - LAST_WEEK
                              - LAST_MONTH
                              - LAST_6_MONTHS
                              - LAST_12_MONTHS
                              - LAST_4_YEARS
                              - LAST_3_MONTHS
                              - LAST_INVOICE_MONTH
                              - null
                          startDate:
                            type: string
                            nullable: true
                          endDate:
                            type: string
                            nullable: true
                          conditions:
                            type: object
                            nullable: true
                            properties: {}
                            additionalProperties: {}
                          currency:
                            type: string
                            nullable: true
                            enum:
                              - USD
                              - EUR
                              - GBP
                              - CNY
                              - KRW
                              - null
                    required:
                      - id
                      - metadata
                  minItems: 1
              required:
                - updates
      responses:
        '204':
          description: Updated
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorized'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DashboardError'
      security:
        - bearerAuth: []
components:
  schemas:
    Unauthorized:
      type: object
      properties:
        error:
          type: string
          description: Unauthorized error message
      required:
        - error
    DashboardError:
      type: object
      properties:
        error:
          type: string
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT or Clerk ak_* API key
      description: >-
        Send `Authorization: Bearer <credential>` using either a Clerk session
        JWT or a Clerk API key (`ak_*`). API keys may identify a user (`user_*`)
        or organization (`org_*`) principal and are generated in the Clerk
        Dashboard under API keys.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.